# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-XML-Rules
Summary:	Parse XML and specify what and how to keep/process for individual tags
Version:	1.10
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/XML-Rules/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/XML-Rules-%{version}.tar.gz 
Patch0:		XML-Rules-1.10-shellbang.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.14
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
BuildRequires:	perl(warnings)
BuildRequires:	perl(XML::Parser) >= 2.00
BuildRequires:	perl(XML::Parser::Expat) >= 2.00
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is yet another XML module built on top of XML::Parser:Expat.

It allows you to specify "rules", subroutines to be run once a tag is fully
parsed and either process the data from the tag itself and its children or
specify what parts of the data and how to add to the data structure being
built for the parent tag.

You may look at this either as a XML::Simple on steroids, a way to build a
more customized data structure out of your XML or as yet another event-based
XML parser that differs from the rest in that it handles building the
structure(s) containing the needed data for you, simplifying the callbacks.

%prep
%setup -q -n XML-Rules-%{version}

# Add shellbangs to scripts
%patch0 -p1

# Fix line endings
sed -i -e 's/\r$//' bin/{dtd,xml}2XMLRules.pl Changes README LICENSE

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
LC_ALL=C ./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{_bindir}/dtd2XMLRules.pl
%{_bindir}/xml2XMLRules.pl
%{perl_vendorlib}/XML/
%{_mandir}/man3/XML::Rules.3pm*

%changelog
* Tue Feb 14 2012 Paul Howarth <paul@city-fan.org> - 1.10-1
- Initial RPM version
